Bug 621914 - virt-v2v does not configure host and guest clock settings optimally
Summary: virt-v2v does not configure host and guest clock settings optimally
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-06 13:41 UTC by Matthew Booth
Modified: 2016-04-26 15:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 11:25:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Booth 2010-08-06 13:41:44 UTC
Description of problem:
A converted RHEL 4 SMP x86_64 guest will hang during boot during udev initialisation. This is due to its clock configuration.

See here for a table of recommended clock configurations for various guests:

http://cleo.tlv.redhat.com/qumrawiki/KVM/TimeKeeping

libvirt-related notes from danpb:
danpb1: -no-pit-reinjection is equivalent to
danpb1:   <clock offset='utc'>     <timer name='pit' tickpolicy='delay'/>
</clock> 
danpb1: in libvirt XML
danpb1: and -rtc-td-hack should be possible with 
danpb1:  <timer name='rtc' tickpolicy='catchup' track='wall'/> 
danpb1: (also within the <clock> element)

Bug 621880 (F13 qemu) may or may not be applicable to RHEL 6. I haven't checked.

Comment 5 RHEL Product and Program Management 2012-07-10 05:56:42 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 RHEL Product and Program Management 2012-07-11 01:58:57 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 7 RHEL Product and Program Management 2012-12-14 06:50:49 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 8 Richard W.M. Jones 2014-11-18 11:25:32 UTC
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs


Note You need to log in before you can comment on or make changes to this bug.